Index: README.BLFS
===================================================================
--- README.BLFS	(revision 5743d54b5714193203e8acb2e6bdc5b77301d0c8)
+++ README.BLFS	(revision e557f501d23fdf7ff8c02d3d3ea458b0d386c818)
@@ -24,6 +24,7 @@
 
   2.1  INSTALLATION::
-       Run "make" to launch the menuconfig interface. Select the BLFS book
-    and it version. Then set the installation directory (default
+
+       Run "make" to launch the jhalfs menuconfig interface. Select the BLFS
+    book and it version. Then set the installation directory (default
     $HOME/blfs_root) and the BLFS sources directory (default blfs-xml).
 
@@ -33,15 +34,24 @@
        Installed files:
 
-    lib/*              functions, xsl, and auto-generates dependencies tree files
+    blfs-xml/*         SVN tree of the selected BLFS book version
+    lib/*              functions libraries, xsl stylesheets, and auto-generated
+                       meta-packages dependencies tree files
+    menu/*             lxdialog and menuconfig source code
     README.BLFS        this file
     TODO               developers notes
-    packages           auto-generated file with packages info
-    alternatives.conf  configuration files for alternative packages
-    envars.conf        envars needed when running the build scripts
-    update_book.sh     update the XML book sources and regenerate packages file
-                       and GNOME and KDE dependencies tree
-    blfs-parser.sh     generates linear BLFS books and build scripts
-    gen-makefile.sh    generates Makefile
-    progress_bar.sh    the Makefile progress bar
+    update_book.sh     update the XML book sources and regenerates packages
+                       database and meta-packages dependencies tree
+    gen_config.sh      regenerates Config.in
+    blfs-parser.sh     solve dependencies and generates linear BLFS books
+                       and build scripts
+    gen-makefile.sh    generates target Makefile
+    progress_bar.sh    the target Makefile progress bar
+    Makefile           (not created yet) run gen_config.sh to update Config.in,
+                       then launch the menuconfig interface, and lastly run
+                       blfs-parser.sh based on configuration settings
+    Config.in          menuconfig interface imput file
+    packages           auto-generated packages database
+    alternatives.conf  (to be removed) configuration file for alternative packages
+    envars.conf        envars needed when running the target build scripts
 
        From now on, all the work must be done from inside the installation
@@ -49,8 +59,13 @@
 
   2.2  UPDATING BOOK SOURCES::
-       If using the SVN book version, from time to time you may want to update
-    the XML sources. To do that run "./update_book.sh"
 
-  2.3  PARSING THE BOOK::
+       If using the development book version, and if you want to update already
+    installed packages to the new version found in that book, you need to update
+    the XML sources and packages database.
+
+    To do that run "./update_book.sh"
+
+  2.3  CONFIGURING AND PARSING THE BOOK:: (to be rewritten when ready menuconfig)
+
        Next step is to create a book and build scripts in dependencies build order
     for a target package. A target package can be any of the ones listed in the
@@ -76,12 +91,22 @@
     that uses sudo for commands that need root privileges.
 
-    There is also two other directories that contains files generated while
-    resolving dependencies trees.
+       There is also two other directories, dependencies and xincludes, that
+    contains files generated while resolving dependencies trees.
 
-    Now is the time to review the generated book and scripts, making in the
-    scripts any changes you want to fit your needs. Scripts for additional
-    packages (i.e., for non-BLFS packages) can be inserted in an easy way.
+  2.4  EDITING BUILD SCRIPTS
 
-  2.4  CREATING THE MAKEFILE
+       Now is the time to review the generated book and scripts, making in the
+    scripts any changes required to fix generation bugs or to fit your needs.
+
+       Scripts for additional packages (i.e., for non-BLFS packages) can be
+    inserted in an easy way due how the scripts are named. For example, if you
+    want to install the external dependency "bar" before "foo" package and the
+    "foo" script is named "064-z-foo", you need to create a "064-y-bar" build
+    script.
+
+      Note that the packages tracking system isn't a packages manegament tool
+    and know nothing about packages not in the BLFS book.
+
+  2.5  CREATING THE MAKEFILE
        When the build scripts are ready to be run, the Makefile can be
     created. Be sure that you cd into the "package" directory and run
@@ -92,14 +117,15 @@
 
 
-(Text is needed for the installed packages tracking system and like)
+(Text is needed about meta-packages, the installed packages tracking system
+and like)
 
 3. GENERATED BUILD SCRIPTS ISSUES::
 
       In this section known issues with the generated build scripts are
-   discussed. They are due build procedures and BLFS layout particularities
-   than we can't handle. In some cases editing the build scripts is mandatory.
+   discussed. They are due build procedures and/or BLFS layout particularities
+   than we can't handle. In several cases editing the build scripts is mandatory.
    You may need also to insert some build script created by you to resolve
-   unhandled dependencies and/or to remove some script and install the
-   affected package by hand.
+   unhandled dependencies and/or to remove some script installing the affected
+   package by hand.
 
    3.1  BLFS BOOTSCRIPTS
Index: blfs
===================================================================
--- blfs	(revision 5743d54b5714193203e8acb2e6bdc5b77301d0c8)
+++ blfs	(revision e557f501d23fdf7ff8c02d3d3ea458b0d386c818)
@@ -112,5 +112,7 @@
 
 cp -r BLFS/* $BLFS_ROOT
+cp -r menu $BLFS_ROOT
 cp $COMMON_DIR/progress_bar.sh $BLFS_ROOT
+cp README.BLFS $BLFS_ROOT
 
 # Start the work
